Bug 13135 - /usr/sbin/cannaserver is suid-root: packaging error?
/usr/sbin/cannaserver is suid-root: packaging error?
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: Canna (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nakai
Florence Gold
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-27 18:41 EDT by Chris Evans
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-07 00:59:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Evans 2000-06-27 18:41:15 EDT
[Note: No component for Canna, using basesystem]
Full install of BETA2
I seem to have a suid-root (and sgid IIRC) binary here:
/usr/sbin/cannaserver
As far as I can tell, having this binary suid-root serves no useful
purpose. This binary doesn't do anything apart from start the "cannaserver"
daemon. That should be controlled by /etc/rc.d/init.d, _NOT_ arbitrary
users.
Comment 1 Bill Nottingham 2000-07-22 18:07:13 EDT
Fixed in canna-3.5b2-22.
Comment 2 Chris Evans 2001-01-02 20:42:45 EST
Reopened - in RH7.1 beta1, the binary is setuid to user bin (?!!)
Comment 3 Glen Foster 2001-01-11 16:03:13 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 4 Bill Nottingham 2001-01-11 16:08:48 EST
assigning to the Canna owner.h
Comment 5 Eido Inoue 2001-01-25 19:36:02 EST
Gave Canna it's own uid and gid so it can save user preferences, dics, and cache
area in it's own area.
Comment 6 Bill Nottingham 2001-07-30 16:36:43 EDT
This is broken again in the 7.2 beta. *grumble*
Comment 7 Bill Nottingham 2001-08-07 00:59:23 EDT
Putting on the fairfax must-fix list.
Comment 8 Nakai 2001-08-07 17:35:38 EDT
Fixed in Canna 3.5b2-44

Note You need to log in before you can comment on or make changes to this bug.